gtk.FileChooserWidget
Prev | The gtk Class Reference | Next

## gtk.FileChooserWidget

gtk.FileChooserWidget — a file chooser widget that can be embedded in other widgets(new in PyGTK 2.4)

## Synopsis

    class gtk.FileChooserWidget(gtk.VBox, gtk.FileChooser):
        gtk.FileChooserWidget(action=gtk.FILE_CHOOSER_ACTION_OPEN, backend=None)

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.Widget
          +-- gtk.Container
            +-- gtk.Box
              +-- gtk.VBox
                +-- gtk.FileChooserWidget

## Implemented Interfaces

`gtk.Bin` implements `gtk.Buildable` gtk.FileChooser

## gtk.FileChooserWidget Properties

gtk.FileChooser Properties

gtk.Object Properties

gtk.Widget Properties

gtk.Container Properties

gtk.Box Properties

## gtk.FileChooserWidget Style Properties

gtk.Widget Style Properties

## gtk.FileChooserWidget Child Properties

gtk.Box Child Properties

## gtk.FileChooserWidget Signal Prototypes

gobject.GObject Signal Prototypes

gtk.Object Signal Prototypes

gtk.Widget Signal Prototypes

gtk.Container Signal Prototypes

gtk.FileChooser Signal Prototypes

## Description

### Note

This widget is available in PyGTK 2.4 and above.

The `gtk.FileChooserWidget` is a widget suitable for selecting files. It is the main building block of a `gtk.FileChooserDialog`. Most applications will only need to use the latter; you can use `gtk.FileChooserWidget` as part of a larger window if you have special needs.

Note that `gtk.FileChooserWidget` does not have any methods, signals or properties of its own. Instead, you should use the methods, signals and properties of the `gtk.FileChooser`.

## Constructor

        gtk.FileChooserWidget(action=gtk.FILE_CHOOSER_ACTION_OPEN, backend=None)

`action` : | The open or save mode for the widget or `None`.
`backend` : | The name of the specific filesystem backend to use or `None`.
Returns : | a new `gtk.FileChooserWidget`

### Note

This constructor is available in PyGTK 2.4 and above.

Creates a new `gtk.FileChooserWidget`. This is a file chooser widget that can be embedded in custom windows, and it is the same widget that is used by `gtk.FileChooserDialog`.

Prev | Up | Next
gtk.FileChooserDialog | Home | gtk.FileFilter